This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 834136 - [Translation Memory] - disappears when the files are renamed
[Translation Memory] - disappears when the files are renamed
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.6
x86_64 Linux
high Severity high
: ---
: 1.6.2
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 20:00 EDT by Yuko Katabami
Modified: 2013-03-03 21:22 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 21:16:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 2 Manuel Ospina 2012-06-20 20:08:14 EDT
The Translation Memory shows the old strings (from the 3.0 version), but the strings that were translated for 3.1 disappeared when the new pushed was done. They should appear in the TM at least.

In the meanwhile, is there anyway to retrieve those translations from the Database?
Comment 4 David Mason 2012-06-21 20:14:47 EDT
If the filename is changed, Zanata does not assume that the new file is the same as the old one. Copytrans is designed to pick up translations from other versions of the same project, but I think it is too strict at the moment to pick up translations from a moved file. We have a few features in development that will help with this, but at the moment the most effective way to re-use the translations would be to pull all translations before moving the file, move the file and its translations, then push the new source file with all the existing translations.

I have a database backup from Tuesday, so if the move was done after Tuesday I should be able to recover translations from before the backup was made. I'm not sure about recovering anything between the backup and the move.
Comment 7 David Mason 2012-07-18 21:16:15 EDT
This is likely a side-effect of memory issues in https://bugzilla.redhat.com/show_bug.cgi?id=835457

Closing as the fix to memory issues is already deployed to production.

Note You need to log in before you can comment on or make changes to this bug.